be.vlaanderen.mercurius.mohm.common.v7

## Class DeliveryAccessoryType

- java.lang.Object
- - be.vlaanderen.mercurius.mohm.common.v7.DeliveryAccessoryType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:35:23+02:00",
                 comments="JAXB RI v2.3.7")
      public class DeliveryAccessoryType
      extends Object
      implements Serializable

  Generiek type voor een aanpassing in een aflevering.

  Java class for DeliveryAccessoryType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DeliveryAccessoryType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="EquipmentID" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}EquipmentIDType"/>
               <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType"/>
               <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ProductNumberType"/>
               <element name="DeliveryDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeliveryAccessoryType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCareServiceCode()` Gets the value of the careServiceCode property.
    `org.joda.time.DateTime` | `getDeliveryDate()` Gets the value of the deliveryDate property.
    `String` | `getEquipmentID()` Gets the value of the equipmentID property.
    `String` | `getProductnumber()` Gets the value of the productnumber property.
    `void` | `setCareServiceCode(String value)` Sets the value of the careServiceCode property.
    `void` | `setDeliveryDate(org.joda.time.DateTime value)` Sets the value of the deliveryDate property.
    `void` | `setEquipmentID(String value)` Sets the value of the equipmentID property.
    `void` | `setProductnumber(String value)` Sets the value of the productnumber property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeliveryAccessoryType

          public DeliveryAccessoryType()

  - ### Method Detail

    - #### getEquipmentID

          public String getEquipmentID()

      Gets the value of the equipmentID property.
      Returns:
        possible object is `String`

    - #### setEquipmentID

          public void setEquipmentID(String value)

      Sets the value of the equipmentID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCareServiceCode

          public String getCareServiceCode()

      Gets the value of the careServiceCode property.
      Returns:
        possible object is `String`

    - #### setCareServiceCode

          public void setCareServiceCode(String value)

      Sets the value of the careServiceCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProductnumber

          public String getProductnumber()

      Gets the value of the productnumber property.
      Returns:
        possible object is `String`

    - #### setProductnumber

          public void setProductnumber(String value)

      Sets the value of the productnumber property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDeliveryDate

          public org.joda.time.DateTime getDeliveryDate()

      Gets the value of the deliveryDate property.
      Returns:
        possible object is `String`

    - #### setDeliveryDate

          public void setDeliveryDate(org.joda.time.DateTime value)

      Sets the value of the deliveryDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TRUSSMAKER 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.